<?php
  function divider() {
    ?>
      <hr>
    <?php
  }

  function main_section() {
    ?>
      <hr>
      <p class="left-margin">Your Client ID and secret will be provided to you by Legal and General SmartrFit.</p>
    <?php
  }

  function MC_settings_init() {
    $page = 'mc_pluginPage';
    $mainSection = 'MC_pluginPage_section';
    $mainSectionTitle = 'General settings';
    $optionsSection = 'MC_pluginPage_section_options';
    $otherOptionsSection = 'MC_settings_section_other_options';
    register_setting($page, 'MC_settings');

    // Main section
    add_settings_section($mainSection, $mainSectionTitle, 'main_section', $page);
    add_settings_field('MC_client_id', 'Client ID', 'MC_client_id_render', $page, $mainSection);
    add_settings_field('MC_client_secret', 'Client Secret', 'MC_client_secret_render', $page, $mainSection);
    add_settings_field('MC_environment', 'Environment', 'MC_environment_render', $page, $mainSection);
    add_settings_field('MC_results_email', 'Send results to (Email)', 'MC_results_email_render', $page, $mainSection);
    add_settings_field('MC_redirect_url', 'Redirect URL', 'MC_redirect_url_render', $page, $mainSection);
    add_settings_field('MC_color', 'Theme Color', 'MC_color_render', $page, $mainSection);

    // Options section
    add_settings_section($optionsSection, 'Options', 'divider', $page);
    add_settings_field('MC_new_build', 'New Build', 'MC_new_build_render', $page, $optionsSection);

    // Other options section
    add_settings_section($otherOptionsSection, 'CRM Options', 'divider', $page);
    add_settings_field('MC_CRM_system', 'CRM System', 'MC_CRM_system_render', $page, $otherOptionsSection);
    add_settings_field('MC_CRM_Settings', 'CRM Settings', 'MC_CRM_Settings_render', $page, $otherOptionsSection);
  }

  function MC_add_admin_menu()
  {
    $pageTitle = 'Legal and General SmartrFit - Affordability Calculator';
    add_options_page($pageTitle, $pageTitle, 'manage_options', 'mc-affordability', 'MC_options_page');
  }

  function MC_client_id_render() {
    include(plugin_dir_path( __FILE__ ) . 'html/client-id.php');
  }

  function MC_client_secret_render() {
    include(plugin_dir_path( __FILE__ ) . 'html/client-secret.php');
  }

  function MC_environment_render() {
    include(plugin_dir_path( __FILE__ ) . 'html/environment.php');
  }

  function MC_results_email_render() {
    include(plugin_dir_path( __FILE__ ) . 'html/results-email.php');
  }

  function MC_redirect_url_render() {
    include(plugin_dir_path( __FILE__ ) . 'html/redirect-url.php');
  }

  function MC_color_render() {
    include(plugin_dir_path( __FILE__ ) . 'html/color.php');
  }

  function MC_new_build_render() {
    include(plugin_dir_path( __FILE__ ) . 'html/new-build.php');
  }

  function MC_CRM_system_render() {
    include(plugin_dir_path( __FILE__ ) . 'html/crm-system.php');
  }

  function MC_CRM_Settings_render() {
    include(plugin_dir_path( __FILE__ ) . 'html/CRM-settings.php');
  }

  function MC_options_page() {
    include(plugin_dir_path( __FILE__ ) . 'html/form.php');
  }
?>
