<?php
  function test_credentials(WP_REST_Request $request) {
    $mcSettings = get_option('MC_settings');
    $endpoints = get_endpoints($mcSettings, $request['environment']);
    $response = get_auth_key($mcSettings, $endpoints['authEndpoint'], $request);
    if ($response['error'] !== ''){
      return false;
    }

    return true;
  }

  function add_custom_test_credentials_post() {
      // route url: domain.com/wp-json/$namespace/$route
      $namespace = 'mc_api/v1';
      $route     = '/test_credentials/';

      register_rest_route($namespace, $route, [
        'methods'  => 'POST',
        'callback' => 'test_credentials',
      ]);
    }
?>

